Skip to main content
GET
/
experience-pages
cURL
curl --request GET \
  --url https://admin.fanfare.io/api/experience-pages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "creativeDocument": {
        "body": {
          "nodes": [
            "<string>"
          ],
          "subjectTemplate": "<string>"
        },
        "editor": "<unknown>",
        "schemaVersion": "<unknown>",
        "themeOverrides": {
          "background": "<string>",
          "danger": "<string>",
          "fontFamily": "<string>",
          "fontHeading": "<string>",
          "headerImageUrl": "<string>",
          "logoUrl": "<string>",
          "muted": "<string>",
          "primary": "<string>",
          "secondary": "<string>",
          "success": "<string>",
          "surface": "<string>",
          "text": "<string>",
          "warning": "<string>"
        }
      },
      "experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "title": "<string>",
      "creativeDesignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "creativeTemplateKey": "<string>",
      "lastPublishedAt": "2023-11-07T05:31:56Z",
      "metadata": {},
      "publishedAt": "2023-11-07T05:31:56Z",
      "status": "DRAFT",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>"
    }
  ],
  "pageInfo": {
    "endCursor": "<string>",
    "startCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Response

Pages retrieved successfully

data
object[]
required
pageInfo
object
required